Updates the job work instruction list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "1b7cd0f8-3e15-4b0c-a528-7fea639aaebf",
"jobs_id": "0573d173-7c94-4da4-b3e8-dd5d287f0b94",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "75b167ca-90a5-46ef-8ebd-304e42ac1679",
"_parent_id": "a87fc395-d56f-4b97-bbc7-e432a5333391",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "efe75991-03ce-41e7-8965-5c6daa9ff181",
"project_reference_back_office": "sample string 5",
"project": {
"id": "b9315193-8ba8-43e2-905d-5cb51124c9e7",
"_parent_id": "fc2967b3-bd3b-42db-9336-ff4ff3a069a4",
"root_parent_id": "ab1c677a-e9ff-4971-8fba-3c0eb4d15692",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "68b8364e-c4f5-438c-b3d3-86a7aa1b8e46",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "50e1d417-c61f-4cae-97cf-e5e320e50eb6",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "bd2f5004-7b9e-4837-b480-912a3a070689",
"_parent_code": "sample string 6",
"sales_organization_id": "7816eac5-def8-4e82-9c86-e59ad14cde19",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"equipment_model_id": "af3e4b69-9bd1-4086-a09e-1b4c44f1b5d1",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "ee4fdada-4cec-436e-b579-87f6e7242d14",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "09942dda-3dce-4bfa-a730-a8933fc22c27",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "7d7f47b8-0412-4cde-a652-fcc83617b39b",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "d6b53113-5fa4-403d-b5c3-29b4a673de42",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"equipment_family_id": "8cc94b6f-064a-49d2-9fe1-e595de780298",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "50e1d417-c61f-4cae-97cf-e5e320e50eb6",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "bd2f5004-7b9e-4837-b480-912a3a070689",
"_parent_code": "sample string 6",
"sales_organization_id": "7816eac5-def8-4e82-9c86-e59ad14cde19",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"date_in_production_since": "2026-11-13T15:20:44.9423612+00:00",
"date_out_of_production_since": "2026-11-13T15:20:44.9423612+00:00",
"date_end_support": "2026-11-13T15:20:44.9423612+00:00",
"sales_organization_id": "562c2307-b6fb-475a-b9e9-f9222ab68e61",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"project_status_id": "47782387-356a-48ca-97cb-f6e76b36b7ca",
"project_status_code": "sample string 10",
"project_status": {
"id": "2fff0ee0-96bd-4e4a-9035-dcfab64c775d",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "4ef4e677-b637-4d34-bb82-0da44d125eba",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"company_id": "04d08f89-cb0b-42c9-8c75-8b3a838fd5c1",
"company_code": "sample string 12",
"db_address_id": "e8e33a7f-9a78-4ad7-9256-1efb6dbd68e8",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "61625a8e-cc6a-454f-8526-f5f6da2d36c5",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "f538aca2-ca47-4cd0-95cd-9c37b6bd8cec",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-13T15:20:44.9423612+00:00",
"date_create": "2026-11-13T15:20:44.9423612+00:00",
"date_update": "2026-11-13T15:20:44.9423612+00:00",
"updated_by_user_id": "8bd31fcb-425a-4b5c-b9b0-8a202c3e383c",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-13T15:20:44.9423612+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-13T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-13T15:20:44.9423612+00:00",
"date_last_job": "2026-11-13T15:20:44.9423612+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-13T15:20:44.9423612+00:00",
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00",
"is_mobile_installation": true
},
"job_type_id": "a02983e0-89b6-4ed1-9ae7-f14e390b8e31",
"job_type_code": "sample string 7",
"job_type": {
"id": "05b98cd5-601a-4185-8323-f9c2c47ab5fc",
"name": "sample string 2",
"sales_organization_id": "31327b34-ce75-423c-b7a0-6aa7219a6642",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00",
"code": "sample string 7"
},
"job_priority_id": "c873571d-6e6a-4d3c-b645-f4122071a364",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "bc7609d5-24de-444c-b3f2-1c7aa34d0608",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "aca0b597-afdc-4166-933f-9ee8484d50ae",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"job_status_id": "76e829b7-3fed-415b-ad9e-399af4dce977",
"job_status_code": "sample string 11",
"db_address_id": "460205f5-d123-4c28-96b9-e05a26e524a5",
"contact_id": "770a6e5c-ded0-485d-b3d8-1e3c7b1fa42f",
"requested_by_company_id": "492fb373-02cc-4673-b0ff-5e0277ac790e",
"requested_by_contact_id": "d555a942-3196-46c4-978a-221ea85507d0",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-13T15:20:44.9423612+00:00",
"due_date": "2026-11-13T15:20:44.9423612+00:00",
"date_create": "2026-11-13T15:20:44.9423612+00:00",
"date_update": "2026-11-13T15:20:44.9423612+00:00",
"date_closed": "2026-11-13T15:20:44.9423612+00:00",
"suggested_user_id": "cc0f9894-9ad1-4b1b-b3f0-e9821b5c5090",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "9a2fbd4e-6082-4f69-b28f-12644e0d36d7",
"db_language_id": "bfcf315b-380b-4e87-8837-b8c56f97a23b",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-13T15:20:44.9423612+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "d2ba2d83-ed49-4587-94f5-1c4583052475",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "4a403f4f-7b0f-4bc6-86b4-82439c2ca1ed",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "7328d225-1e5c-4233-a77c-0085192d8220",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "32b0e579-ea7e-4eea-8cdf-c1237f1893ff"
},
"suggested_date_start": "2026-11-13T15:20:44.9423612+00:00",
"skill_id": "fa246f90-76c4-409c-8ee6-1d7e3c02fd91",
"skill_code": "sample string 32",
"skill": {
"id": "0e004329-bee3-4838-aa10-f40fb0ab940f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "2993b0a0-21a5-4eae-9968-e180bed48e5d",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "9cc08aa1-241d-403a-a6e8-56cd6377bbee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7cb161db-2943-48cb-b7d7-d1fcb8f4214b",
"db_currency_id": "e8f6372a-d8e0-467a-9398-6fb980de5d7d",
"db_language_id": "8bf1c530-69d9-40df-aa91-4ec7a417e979",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T15:20:44.9268215+00:00"
},
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "d4097595-0eb5-4be2-a757-205346550935",
"date_reported_by_company": "2026-11-13T15:20:44.9423612+00:00",
"id2": 36,
"company_id": "8acb325f-7c4f-46a0-9331-d1946f931cce",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "0a3eecfb-aac1-4df6-9ace-3dc9f57584e2",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
},
"work_instruction_details_id": "61d293db-27de-4e75-a503-71a4edf60cc5",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "47c8b838-db55-424b-9fba-c408d14084ec",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "c9e15151-6e4c-468a-a710-8e8fc3bae1e2",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-13T15:20:44.9423612+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "7f63bf98-3e65-4d99-b2ac-b36470155d44",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-13T15:20:44.9423612+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.